Package com.pixelmed.network

# Class NetworkApplicationInformation

java.lang.Object
com.pixelmed.network.NetworkApplicationInformation

Direct Known Subclasses:
  `NetworkApplicationInformationFederated`

public class NetworkApplicationInformation extends Object

This class encapsulates information about DICOM network devices.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`propertyName_DicomRemoteAEs`
`static final String`
`resourceName_PublicStorageSCPs`

## Constructor Summary

Constructors
Constructor
Description
`NetworkApplicationInformation()`
Construct an empty container for properties of DICOM network devices.
`NetworkApplicationInformation(Properties properties)`
Extract the DICOM network properties from the supplied properties.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String localName, ApplicationEntity ae)`
Add a new AE.
`void`
`add(String localName, String aeTitle, String hostname, int port, String queryModel, String primaryDeviceType)`
Add a new AE.
`void`
`addAll(NetworkApplicationInformation infoToAdd)`
Add all the entries in the supplied map except any that are already present.
`void`
`addAll(Properties properties)`
Extract the DICOM network properties from the supplied properties.
`void`
`addPublicStorageSCPs()`
`ApplicationEntityMap`
`getApplicationEntityMap()`
Return the application entity map.
`String`
`getApplicationEntityTitleFromLocalName(String localName)`
Find the AET an application entity given its local name.
`String`
`getLDIFRepresentation(String rootDN)`
Make an LDAP LDIF representation of the network information.
`Set`
`getListOfApplicationEntityTitlesOfApplicationEntities()`
Return the set of local names of application entities.
`Set`
`getListOfLocalNamesOfApplicationEntities()`
Return the set of local names of application entities.
`String`
`getLocalNameFromApplicationEntityTitle(String aet)`
Find the local name of an application entity given its AET.
`Properties`
`getProperties(Properties properties)`
Retrieve the DICOM network properties.
`void`
`remove(String localName)`
Remove an AE.
`void`
`removeAll()`
Completely empty all information.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### resourceName_PublicStorageSCPs

public static final String resourceName_PublicStorageSCPs

See Also:
  - Constant Field Values

### propertyName_DicomRemoteAEs

public static final String propertyName_DicomRemoteAEs

See Also:
  - Constant Field Values

## Constructor Details

### NetworkApplicationInformation

public NetworkApplicationInformation()

Construct an empty container for properties of DICOM network devices.

### NetworkApplicationInformation

public NetworkApplicationInformation(Properties properties) throws DicomNetworkException

Extract the DICOM network properties from the supplied properties.

Parameters:
  `properties` -
Throws:
  `DicomNetworkException`

## Method Details

### addPublicStorageSCPs

public void addPublicStorageSCPs() throws IOException, DicomNetworkException

Throws:
  `IOException`
  `DicomNetworkException`

### addAll

public void addAll(Properties properties) throws DicomNetworkException

Extract the DICOM network properties from the supplied properties.

Parameters:
  `properties` -
Throws:
  `DicomNetworkException`

### getProperties

public Properties getProperties(Properties properties)

Retrieve the DICOM network properties.

param properties the existing properties to add to (removing any properties already there), or null if none

Returns:
  the updated properties or a new set of properties if none supplied

### removeAll

public void removeAll()

Completely empty all information.

### remove

public void remove(String localName)

Remove an AE.

Parameters:
  `localName` -

### add

public void add(String localName, ApplicationEntity ae) throws DicomNetworkException

Add a new AE.

Parameters:
  `localName` -
  `ae` -
Throws:
  `DicomNetworkException` - if local name or AET already used, or either is null or empty

### add

public void add(String localName, String aeTitle, String hostname, int port, String queryModel, String primaryDeviceType) throws DicomNetworkException

Add a new AE.

Parameters:
  `localName` -
  `aeTitle` -
  `port` -
  `queryModel` - null if unknown
  `primaryDeviceType` - null if unknown
Throws:
  `DicomNetworkException` - if local name or AET already used, or either is null or empty

### addAll

public void addAll(NetworkApplicationInformation infoToAdd)

Add all the entries in the supplied map except any that are already present.

Parameters:
  `infoToAdd` - the information to add

### getApplicationEntityMap

public ApplicationEntityMap getApplicationEntityMap()

Return the application entity map.

Returns:
  the application entity map

### getListOfLocalNamesOfApplicationEntities

public Set getListOfLocalNamesOfApplicationEntities()

Return the set of local names of application entities.

Returns:
  the set of local names

### getListOfApplicationEntityTitlesOfApplicationEntities

public Set getListOfApplicationEntityTitlesOfApplicationEntities()

Return the set of local names of application entities.

Returns:
  the set of local names

### getApplicationEntityTitleFromLocalName

public String getApplicationEntityTitleFromLocalName(String localName)

Find the AET an application entity given its local name.

Parameters:
  `localName` - the local name of the AE
Returns:
  the AET, or null if none

### getLocalNameFromApplicationEntityTitle

public String getLocalNameFromApplicationEntityTitle(String aet)

Find the local name of an application entity given its AET.

Parameters:
  `aet` - the application entity title
Returns:
  the local name, or null if none

### getLDIFRepresentation

public String getLDIFRepresentation(String rootDN)

Make an LDAP LDIF representation of the network information.

Parameters:
  `rootDN` - the root distinguished name to attach the DICOM configuration information below
Returns:
  a String containing the text of the LDIF representation, suitable for feeding into a utility like `ldapadd`

### toString

public String toString()

Overrides:
  `toString` in class `Object`